TICKIT_CTLNAME(3)

NAME
tickit_ctlname - return the name of a toplevel instance control

SYNOPSIS
    #include <tickit.h>

    const char * tickit_ctlname(TickitCtl ctl);
    TickitCtl tickit_lookup_ctl(const char * name);

    TickitType tickit_ctltype(TickitCtl ctl);

Link with -ltickit.

DESCRIPTION
tickit_ctlname() returns the name of the given toplevel instance control. These names are the lowercase strings given in tickit(7).

tickit_lookup_ctl() returns the control constant for a given name. If the name is not recognised then -1 is returned.

tickit_ctltype() returns the type of the given instance control, as one of the following constants:

TICKIT_TYPE_BOOL
    The value is an integer representing a simple boolean choice, where any nonzero value is true. Use tickit_setctl_int(3) and tickit_getctl_int(3).

TICKIT_TYPE_INT
    The value is an integer representing a quantity, or a value in some particular enumeration. Use tickit_setctl_int(3) and tickit_getctl_int(3).

For unrecognised control types, the function returns 0.

RETURN VALUE
tickit_ctlname() returns a constant string pointer. tickit_lookup_ctl() returns an control constant or -1. tickit_ctltype() returns a control type constant or 0.

SEE ALSO
tickit(7)